Subject: bug#59181: closed (Re: bug#59181: [berlin] web services fail to start on reboot due to anonip)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 01 Nov 2024 14:04:02 +0000

Your bug report

#59181: [berlin] web services fail to start on reboot due to anonip

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59181: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59181
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59181: [berlin] web services fail to start on reboot due to anonip
From: Maxim Cournoyer <[email-masked]>
To: [email-masked], guix-sysadmin <[email-masked]>
Cc: Ricardo Wurmus <[email-masked]>
Date: Fri, 01 Nov 2024 23:02:28 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I've pushed a fix for this as commit 49375f83fc.  The tests I've
implemented to help troubleshoot the issue are up for review in
https://issues.guix.gnu.org/74151.

I haven't yet reconfigured berlin with it but will do so next night,
European time.

A fully functional reboot at last awaits :-)

-- 
Thanks,
Maxim

Subject: [berlin] web services fail to start on reboot due to anonip
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Thu, 10 Nov 2022 13:16:24 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Each time we reboot berlin, we must clear anonip files that it uses to
process the nginx logs, which are supposed to be named pipes rather than
empty files, like so:

  # rm /var/run/anonip/*
  # herd start nginx

We should fix that.

-- 
Thanks,
Maxim